-- =============================================
-- Author:		FID.Ridwan
-- Create date: 2019-04-30
-- Description:	
-- =============================================
CREATE PROCEDURE [dbo].[SP_CED030100B_GetDeliveryCtlH]
AS
BEGIN
	SELECT DELIVERY_NO
		,DELIVERY_TYPE
		,CONVERT(VARCHAR, REVISE_NO) REVISE_NO
		,CONVERT(VARCHAR, PICKUP_DT, 121) PICKUP_DT
		,ROUTE
		,RATE
		,ISNULL(LP_CD, '') LP_CD
		,ISNULL(CONVERT(VARCHAR, CONFIRM_STS), '') CONFIRM_STS
		,ISNULL(DELIVERY_STS, '') DELIVERY_STS
		,ISNULL(CONVERT(VARCHAR, CANCEL_FLAG), '') CANCEL_FLAG
		,ISNULL(APPROVE_BY, '') APPROVE_BY
		,ISNULL(CONVERT(VARCHAR, APPROVE_DT, 121), '') APPROVE_DT
		,ISNULL(REJECT_BY, '') REJECT_BY
		,ISNULL(CONVERT(VARCHAR, REJECT_DT, 121), '') REJECT_DT
		,ISNULL(CONVERT(VARCHAR, NOTIFY_STS), '') NOTIFY_STS
		,ISNULL(CONVERT(VARCHAR,[SYNC_FLAG]),'0') [SYNC_FLAG]
		,CONVERT(VARCHAR, PUSH_TO_WEB_FLAG) PUSH_TO_WEB_FLAG
	FROM TB_T_CED_DELIVERY_CTL_H
END

